Name: vnc
Version: 3.3.3r2
Release: alt5

Summary: A remote display system

Url: http://www.uk.research.att.com/vnc/

%define tight_version 1.2.2

Source0: http://www.uk.research.att.com/vnc/dist/%name-%{version}_unixsrc.tar.bz2
Source1: %{name}.conf
Source2: vncserver.init
Source3: %name-latest_doc.tar.bz2
Source4: Xvnc.1
Source5: vncserver.1
Source6: vncpasswd.1
Source7: vncconnect.1
Source8: vncviewer.1
Source9: tightvnc-%{tight_version}_javabin.tar.gz

Patch0: %name-3.3.3r2-unix-tight-%{tight_version}.patch

Patch1: %name-imake.patch

Patch2: %name-fp.patch
Patch3: %name-xclients.patch

Patch4: %name-3.3.3r2-tcpwrappers.patch
Patch5: %name-3.3.3r2-noman.patch
Patch6: %name-3.3.3r2-systemlib.patch
Patch7: %name-small-cleanups.patch
Patch8: %name-xfree86-mit-shm.patch
Patch9: %name-imake-get_libc_version.patch

License: GPL
Group: Networking/Remote access
# Automatically added by buildreq on Sun Nov 10 2002
BuildRequires: XFree86-devel altlinux-release libjpeg-devel-static libwrap-devel xpm-devel zlib-devel

BuildRequires: zlib-devel libjpeg-devel tcp_wrappers-devel XFree86-devel xpm-devel
Obsoletes: vnc-SVGALIB

%description
Virtual Network Computing (VNC) is a remote display system which
allows you to view a computing 'desktop' environment not only on the
machine where it is running, but from anywhere on the Internet and
from a wide variety of machine architectures.  This package contains a
client which will allow you to connect to other desktops running a VNC
server.

%package server
Summary: A VNC server
Group: System/Servers
Obsoletes: vnc-java
Provides: vnc-java

%description server
The VNC system allows you to access the same desktop from a wide
variety of platforms.  This package is a VNC server, allowing others
to access the desktop on your machine.

%package doc
Summary: Complete documentation for VNC
Group: Networking/Remote access

%description doc
This package contains HTML documentation about VNC (Virtual Network
Computing) programs.  Install the vnc-doc package if you want
extensive online documentation about VNC.

%prep
%setup -q -n %{name}_unixsrc -a 3

%patch0 -p1
gzip -dc %SOURCE9 | tar xf -

%patch1 -p1 -b .imake

%patch2 -p1 -b .fp
%patch3 -p1 -b .xclients

%patch4 -p1 -b .tcpwrappers
%patch5 -p1 -b .noman
%patch6 -p1 -b .systemlib
%patch7 -p1 -b .small-cleanups
%patch8 -p1 -b .shm
%patch9 -p1 -b .get_libc_version

find . -name "*,v" -exec rm -f {} \;
perl -pi -e "s|/usr/local/vnc/classes|%_datadir/vnc/classes|" vncserver
perl -pi -e "s|unix/:7100|unix/:-1|" vncserver
perl -pi -e "s|/usr/local/vnc/classes|%_datadir/vnc/classes|" vncserver.xclients
perl -pi -e "s|unix/:7100|unix/:-1|" vncserver.xclients

%build
xmkmf -a
make CDEBUGFLAGS="%optflags" World
cd Xvnc
make EXTRA_LIBRARIES="-lwrap -lnss_nis" CDEBUGFLAGS="%optflags" World

%install
install -d -m 0755 $RPM_BUILD_ROOT/%_bindir
./vncinstall $RPM_BUILD_ROOT/%_bindir
(cd Xvnc
make DESTDIR="$RPM_BUILD_ROOT" install
)

install -d -m 0755 $RPM_BUILD_ROOT/%_datadir/vnc/
cp -aR classes $RPM_BUILD_ROOT/%_datadir/vnc

install -D -pm755 %SOURCE2 $RPM_BUILD_ROOT/%_sysconfdir/rc.d/init.d/vncserver

install -d -m 0755 $RPM_BUILD_ROOT/%_mandir/man1
install -pm644 %SOURCE4 $RPM_BUILD_ROOT/%_mandir/man1
install -pm644 %SOURCE5 $RPM_BUILD_ROOT/%_mandir/man1
install -pm644 %SOURCE6 $RPM_BUILD_ROOT/%_mandir/man1
install -pm644 %SOURCE7 $RPM_BUILD_ROOT/%_mandir/man1
install -pm644 %SOURCE8 $RPM_BUILD_ROOT/%_mandir/man1

install -d -m 0755 $RPM_BUILD_ROOT%_sysconfdir/sysconfig
cat > $RPM_BUILD_ROOT/%_sysconfdir/sysconfig/vncservers << EOF
# The VNCSERVERS variable is a list of display:user pairs.
#
# Uncomment the line below to start a VNC server on display :1
# as my 'myusername' (adjust this to your own).  You will also
# need to set a VNC password; run 'man vncpasswd' to see how
# to do that.
#
# DO NOT RUN THIS SERVICE if your local area network is
# untrusted!  For a secure way of using VNC, see
# <URL:http://www.uk.research.att.com/vnc/sshvnc.html>.

# VNCSERVERS="1:myusername"
EOF
chmod 0644 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/vncservers

install -d $RPM_BUILD_ROOT/%_docdir/%name-doc-%version
cp -pr vnc_docs/* $RPM_BUILD_ROOT/%_docdir/%name-doc-%version
(cd $RPM_BUILD_ROOT/%_docdir/%name-doc-%version
rm -rf *.html~
rm -rf *make*
rm -rf *.bck
chmod 644 *
)

/bin/ls -1 $RPM_BUILD_ROOT%_bindir |
        egrep -v 'vncviewer' |
	        sed -e 's|^\(.*\)$|%%_bindir/\1|g' >%name.server

/bin/ls -1 $RPM_BUILD_ROOT%_mandir/man1 |
        egrep -v 'vncviewer' |
	        sed -e 's|^\(.*\)$|%%_mandir/man1/\1*|g' >>%name.server

%post server
%post_service vncserver

%preun server
%preun_service vncserver

%files
%doc README
%_bindir/vncviewer
%_mandir/man1/vncviewer.1*

%files server -f %name.server
%config(noreplace) %_sysconfdir/rc.d/init.d/vncserver
%config(noreplace) %_sysconfdir/sysconfig/vncservers
%dir %_datadir/vnc
%_datadir/vnc

%files doc
%dir %_docdir/%name-doc-%version
%_docdir/%name-doc-%version/*

%changelog
* Sun Nov 10 2002 AEN <aen@altlinux.ru> 3.3.3r2-alt5
- rebuilt with new tcp_wrappers 

* Wed May 22 2002 AEN <aen@logic.ru> 3.3.3r2-alt4
- s/su/s-/  initsript

* Mon Apr 01 2002 Stanislav Ievlev <inger@altlinux.ru> 3.3.3r2-alt3
- fix in preun macros

* Wed Feb 27 2002 Stanislav Ievlev <inger@altlinux.ru> 3.3.3r2-alt2
- spec cleanup
- code cleanup

* Wed Jan 09 2002 AEN <aen@logic.ru> 3.3.3r2-alt1
- new spec from MDK

* Fri Dec 21 2001 David BAUDENS <baudens@mandrakesoft.com> 3.3.3r2-7mdk
- Rebuild

* Mon Dec 17 2001 David BAUDENS <baudens@mandrakesoft.com> 3.3.3r2-6mdk
- Fix bad Requires

* Wed Nov 21 2001 David BAUDENS <baudens@mandrakesoft.com> 3.3.3r2-5mdk
- Obsoletes: vnc-SVGALIB
- Don't try to gunzip sources when they are bzipped
- Don't strip by hand

* Thu Oct 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.3.3r2-4mdk
- Actually obsolete in -server package only.

* Thu Oct 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.3.3r2-3mdk
- Obsolete java package (included in server now).
- Provide java package (included in server now).

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 3.3.3r2-2mdk
- BuildRequires: tcp_wrappers-devel XFree86-devel xpm-devel
- bzipped patches

* Fri Sep 21 2001 David BAUDENS <baudens@mandrakesoft.com> 3.3.3r2-1mdk
- Make it works (thanks to Frederic Crozat for his help)

* Wed Apr  4 2001 Frederic Lepied <flepied@mandrakesoft.com> 3.3.3r1-2mdk
- use server macro
- initscript config(noreplace)

* Mon Feb 12 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.3.3r1-1mdk
- update to 3.3.3r1 (patch 0 & 4).
- added tight encoding & ssh tunneling (patch 5).
- merged stuff from redhat.

* Sat Jan 27 2001 Stew Benedict <sbenedict@mandrakesoft.com> 3.3.3-9mdk
- added Imake patches for PowerPC architecture

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.3-8mdk
- use BuildRequires svgalib-devel only on ix86.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.3-7mdk
- automatically added BuildRequires

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 3.3.3-6mdk
- Fixed groups

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.3.3-5mdk
- Small fix for alpha to build.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.3-4mdk
- fixed build on sparc (and I hope on alpha too).

* Tue Jan  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.3-3mdk
- make rpmlint happy.
- apply patch0 ;-)
- remove the server-noX package.

* Mon Jan  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.3-2mdk
- fix owner of files.
- remove /usr/X11R6 from server-noX.
- compile under 7.0.

* Thu Dec 30 1999 Philippe Libat <philippe@mandrakesoft.com>
- [3.3.3]
- Added vnc-latest_doc

* Thu Jul  1 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.de>
- Rebuild for Mandrake distrib

* Thu Feb 11 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Add java interface

* Sat Feb 6 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- initial RPM
